> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Top USD Balances by Address

> Returns addresses with the highest USD balances in the network.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/network/usd-balance-by-address
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.16
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/network/usd-balance-by-address:
    get:
      tags:
        - Network Information
      summary: Get Top USD Balances by Address
      description: Returns addresses with the highest USD balances in the network.
      operationId: getUSDBalances
      parameters:
        - name: network
          required: true
          in: query
          description: Network
          schema:
            type: string
        - name: limit
          required: true
          in: query
          description: Number of items to return
          schema:
            type: number
      responses:
        '200':
          description: Returns addresses with the highest USD balances in the network.
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````